<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class relationships_Controller extends Controller
{
    public $selfName = 'relationships_Controller';
    public $dashboardName = 'dashboard';

	// GET /relationships
	public function index(Request $request) {
		$records = DB::table('relationship')->get();
		return response()->view('pro/relationships/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /relationships/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/relationships/view/$uid/SUB_dashboard");
	}
}
